/genesys-tasks-quality | Type: Application | PCID required: Yes
Tools
genesys_tasks_quality_delete_conversation_evaluation
Delete an evaluation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conversationId | string | Yes | — | Conversation Id |
evaluationId | string | Yes | — | Evaluation Id |
expand | string | No | — | evaluatorId, evaluationForm |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conversationId": {
"type": "string",
"description": "Conversation Id"
},
"evaluationId": {
"type": "string",
"description": "Evaluation Id"
},
"expand": {
"type": "string",
"description": "evaluatorId, evaluationForm"
}
},
"required": [
"PCID",
"conversationId",
"evaluationId"
]
}
genesys_tasks_quality_delete_forms_evaluation
Delete an evaluation form. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
formId | string | Yes | — | Form ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"formId": {
"type": "string",
"description": "Form ID"
}
},
"required": [
"PCID",
"formId"
]
}
genesys_tasks_quality_delete_forms_survey
Delete a survey form. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
formId | string | Yes | — | Form ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"formId": {
"type": "string",
"description": "Form ID"
}
},
"required": [
"PCID",
"formId"
]
}
genesys_tasks_quality_delete_program_agentscoringrule
Delete an Agent Scoring Rule Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
programId | string | Yes | — | Program ID from Speech and Text Analytics |
ruleId | string | Yes | — | Agent Scoring Rule ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"programId": {
"type": "string",
"description": "Program ID from Speech and Text Analytics"
},
"ruleId": {
"type": "string",
"description": "Agent Scoring Rule ID"
}
},
"required": [
"PCID",
"programId",
"ruleId"
]
}
genesys_tasks_quality_delete_taskmanagement_workitem
Delete a workitem Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
}
},
"required": [
"PCID",
"workitemId"
]
}
genesys_tasks_quality_delete_workbin
Delete a workbin Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workbinId | string | Yes | — | Workbin ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workbinId": {
"type": "string",
"description": "Workbin ID"
}
},
"required": [
"PCID",
"workbinId"
]
}
genesys_tasks_quality_delete_workitem
Delete a workitem Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
}
},
"required": [
"PCID",
"workitemId"
]
}
genesys_tasks_quality_delete_worktype
Delete a worktype Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
}
},
"required": [
"PCID",
"worktypeId"
]
}
genesys_tasks_quality_delete_worktype_status
Delete a status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
statusId | string | Yes | — | Status id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
},
"statusId": {
"type": "string",
"description": "Status id"
}
},
"required": [
"PCID",
"worktypeId",
"statusId"
]
}
genesys_tasks_quality_get_agents_activity
Gets a list of Agent Activities Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pageSize | integer | No | — | The total page size requested |
pageNumber | integer | No | — | The page number requested |
sortBy | string | No | — | variable name requested to sort by |
expand | string[] | No | — | variable name requested by expand list |
nextPage | string | No | — | next page token |
previousPage | string | No | — | Previous page token |
startTime | string | No | — | Start time of agent activity based on assigned date. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
endTime | string | No | — | End time of agent activity based on assigned date. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
agentUserId | string[] | No | — | user id of agent requested |
evaluatorUserId | string | No | — | user id of the evaluator |
name | string | No | — | The name value |
group | string | No | — | group id |
agentTeamId | string | No | — | team id of agents requested |
formContextId | string | No | — | shared id between form versions |
userState | string | No | — | ‘Legacy’ fetches active and inactive users when evaluatorUserId or no user filters are supplied; otherwise fetches active users. ‘Any’ fetches users of ‘active’, ‘inactive’ and ‘deleted’ states. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pageSize": {
"type": "integer",
"description": "The total page size requested"
},
"pageNumber": {
"type": "integer",
"description": "The page number requested"
},
"sortBy": {
"type": "string",
"description": "variable name requested to sort by"
},
"expand": {
"type": "array",
"items": {
"type": "string"
},
"description": "variable name requested by expand list"
},
"nextPage": {
"type": "string",
"description": "next page token"
},
"previousPage": {
"type": "string",
"description": "Previous page token"
},
"startTime": {
"type": "string",
"description": "Start time of agent activity based on assigned date. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"endTime": {
"type": "string",
"description": "End time of agent activity based on assigned date. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"agentUserId": {
"type": "array",
"items": {
"type": "string"
},
"description": "user id of agent requested"
},
"evaluatorUserId": {
"type": "string",
"description": "user id of the evaluator"
},
"name": {
"type": "string",
"description": "The name value"
},
"group": {
"type": "string",
"description": "group id"
},
"agentTeamId": {
"type": "string",
"description": "team id of agents requested"
},
"formContextId": {
"type": "string",
"description": "shared id between form versions"
},
"userState": {
"type": "string",
"description": "'Legacy' fetches active and inactive users when evaluatorUserId or no user filters are supplied; otherwise fetches active users. 'Any' fetches users of 'active', 'inactive' and 'deleted' states.",
"enum": [
"Any",
"Legacy"
]
}
},
"required": [
"PCID"
]
}
genesys_tasks_quality_get_conversation_evaluation
Get an evaluation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conversationId | string | Yes | — | Conversation Id |
evaluationId | string | Yes | — | Evaluation Id |
expand | string | No | — | agent, assignee, evaluator, evaluationForm |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conversationId": {
"type": "string",
"description": "Conversation Id"
},
"evaluationId": {
"type": "string",
"description": "Evaluation Id"
},
"expand": {
"type": "string",
"description": "agent, assignee, evaluator, evaluationForm"
}
},
"required": [
"PCID",
"conversationId",
"evaluationId"
]
}
genesys_tasks_quality_get_conversation_surveys
Get the surveys for a conversation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conversationId | string | Yes | — | Conversation Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conversationId": {
"type": "string",
"description": "Conversation Id"
}
},
"required": [
"PCID",
"conversationId"
]
}
genesys_tasks_quality_get_conversations_audits_query_transaction_id
Get status of audit query execution Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
transactionId | string | Yes | — | Transaction ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"transactionId": {
"type": "string",
"description": "Transaction ID"
}
},
"required": [
"PCID",
"transactionId"
]
}
genesys_tasks_quality_get_conversations_audits_query_transaction_id_results
Get results of audit query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
transactionId | string | Yes | — | Transaction ID |
cursor | string | No | — | Indicates where to resume query results (not required for first page) |
pageSize | integer | No | — | Page size |
expand | string[] | No | — | Which fields, if any, to expand |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"transactionId": {
"type": "string",
"description": "Transaction ID"
},
"cursor": {
"type": "string",
"description": "Indicates where to resume query results (not required for first page)"
},
"pageSize": {
"type": "integer",
"description": "Page size"
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"user"
]
},
"description": "Which fields, if any, to expand"
}
},
"required": [
"PCID",
"transactionId"
]
}
genesys_tasks_quality_get_evaluations_query
Queries Evaluations and returns a paged list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pageSize | integer | No | — | The total page size requested |
pageNumber | integer | No | — | The page number requested |
expand | string[] | No | — | variable name requested by expand list |
previousPage | string | No | — | Previous page token |
conversationId | string | No | — | conversationId specified |
agentUserId | string | No | — | user id of the agent |
agentTeamId | string | No | — | team id of the agent |
evaluatorUserId | string | No | — | evaluator user id |
assigneeUserId | string | No | — | assignee user id |
queueId | string | No | — | queue id |
startTime | string | No | — | start time of the evaluation query |
endTime | string | No | — | end time of the evaluation query |
formContextId | string | No | — | shared id between form versions |
evaluationState | string[] | No | — | Evaluation State |
isReleased | boolean | No | — | the evaluation has been released |
agentHasRead | boolean | No | — | agent has the evaluation |
expandAnswerTotalScores | boolean | No | — | get the total scores for evaluations. NOTE: The answers will only be populated if this parameter is set to true in the request. |
maximum | integer | No | — | the maximum number of results to return |
sortOrder | string | No | — | NOTE: Does not work when conversationId is supplied. |
includeDeletedUsers | boolean | No | — | Allow returning an agent or evaluator user with a ‘delete’ status. Defaults to false. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pageSize": {
"type": "integer",
"description": "The total page size requested"
},
"pageNumber": {
"type": "integer",
"description": "The page number requested"
},
"expand": {
"type": "array",
"items": {
"type": "string"
},
"description": "variable name requested by expand list"
},
"previousPage": {
"type": "string",
"description": "Previous page token"
},
"conversationId": {
"type": "string",
"description": "conversationId specified"
},
"agentUserId": {
"type": "string",
"description": "user id of the agent"
},
"agentTeamId": {
"type": "string",
"description": "team id of the agent"
},
"evaluatorUserId": {
"type": "string",
"description": "evaluator user id"
},
"assigneeUserId": {
"type": "string",
"description": "assignee user id"
},
"queueId": {
"type": "string",
"description": "queue id"
},
"startTime": {
"type": "string",
"description": "start time of the evaluation query"
},
"endTime": {
"type": "string",
"description": "end time of the evaluation query"
},
"formContextId": {
"type": "string",
"description": "shared id between form versions"
},
"evaluationState": {
"type": "array",
"items": {
"type": "string"
},
"description": "Evaluation State"
},
"isReleased": {
"type": "boolean",
"description": "the evaluation has been released"
},
"agentHasRead": {
"type": "boolean",
"description": "agent has the evaluation"
},
"expandAnswerTotalScores": {
"type": "boolean",
"description": "get the total scores for evaluations. NOTE: The answers will only be populated if this parameter is set to true in the request."
},
"maximum": {
"type": "integer",
"description": "the maximum number of results to return"
},
"sortOrder": {
"type": "string",
"description": "NOTE: Does not work when conversationId is supplied."
},
"includeDeletedUsers": {
"type": "boolean",
"description": "Allow returning an agent or evaluator user with a 'delete' status. Defaults to false."
}
},
"required": [
"PCID"
]
}
genesys_tasks_quality_get_evaluators_activity
Get an evaluator activity. To ensure optimal performance and prevent timeouts when processing large datasets, startTime and endTime fields are highly recommended for all requests. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pageSize | integer | No | — | The total page size requested |
pageNumber | integer | No | — | The page number requested |
sortBy | string | No | — | variable name requested to sort by |
expand | string[] | No | — | variable name requested by expand list |
nextPage | string | No | — | next page token |
previousPage | string | No | — | Previous page token |
startTime | string | No | — | The start time specified. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
endTime | string | No | — | The end time specified. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
name | string | No | — | Evaluator name |
permission | string[] | No | — | permission strings |
group | string | No | — | group id |
agentTeamId | string | No | — | team id of agents to be considered |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pageSize": {
"type": "integer",
"description": "The total page size requested"
},
"pageNumber": {
"type": "integer",
"description": "The page number requested"
},
"sortBy": {
"type": "string",
"description": "variable name requested to sort by"
},
"expand": {
"type": "array",
"items": {
"type": "string"
},
"description": "variable name requested by expand list"
},
"nextPage": {
"type": "string",
"description": "next page token"
},
"previousPage": {
"type": "string",
"description": "Previous page token"
},
"startTime": {
"type": "string",
"description": "The start time specified. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"endTime": {
"type": "string",
"description": "The end time specified. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"name": {
"type": "string",
"description": "Evaluator name"
},
"permission": {
"type": "array",
"items": {
"type": "string"
},
"description": "permission strings"
},
"group": {
"type": "string",
"description": "group id"
},
"agentTeamId": {
"type": "string",
"description": "team id of agents to be considered"
}
},
"required": [
"PCID"
]
}
genesys_tasks_quality_get_forms_evaluation
Get an evaluation form Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
formId | string | Yes | — | Form ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"formId": {
"type": "string",
"description": "Form ID"
}
},
"required": [
"PCID",
"formId"
]
}
genesys_tasks_quality_get_forms_evaluation_versions
Gets all the revisions for a specific evaluation. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
formId | string | Yes | — | Form ID |
pageSize | integer | No | — | Page size |
pageNumber | integer | No | — | Page number |
sortOrder | string | No | — | Sort order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"formId": {
"type": "string",
"description": "Form ID"
},
"pageSize": {
"type": "integer",
"description": "Page size"
},
"pageNumber": {
"type": "integer",
"description": "Page number"
},
"sortOrder": {
"type": "string",
"description": "Sort order"
}
},
"required": [
"PCID",
"formId"
]
}
genesys_tasks_quality_get_forms_evaluations
Get the list of evaluation forms Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pageSize | integer | No | — | The total page size requested |
pageNumber | integer | No | — | The page number requested |
sortBy | string | No | — | variable name requested to sort by |
nextPage | string | No | — | next page token |
previousPage | string | No | — | Previous page token |
expand | string | No | — | If ‘expand=publishHistory’, then each unpublished evaluation form includes a listing of its published versions |
name | string | No | — | The name value |
sortOrder | string | No | — | Order to sort results, either asc or desc |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pageSize": {
"type": "integer",
"description": "The total page size requested"
},
"pageNumber": {
"type": "integer",
"description": "The page number requested"
},
"sortBy": {
"type": "string",
"description": "variable name requested to sort by"
},
"nextPage": {
"type": "string",
"description": "next page token"
},
"previousPage": {
"type": "string",
"description": "Previous page token"
},
"expand": {
"type": "string",
"description": "If 'expand=publishHistory', then each unpublished evaluation form includes a listing of its published versions",
"enum": [
"publishHistory"
]
},
"name": {
"type": "string",
"description": "The name value"
},
"sortOrder": {
"type": "string",
"description": "Order to sort results, either asc or desc"
}
},
"required": [
"PCID"
]
}
genesys_tasks_quality_get_forms_survey
Get a survey form Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
formId | string | Yes | — | Form ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"formId": {
"type": "string",
"description": "Form ID"
}
},
"required": [
"PCID",
"formId"
]
}
genesys_tasks_quality_get_forms_surveys
Get the list of survey forms. If you set “expand=publishHistory”, then you will be able to get published versions for each corresponding survey form. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pageSize | integer | No | — | The total page size requested |
pageNumber | integer | No | — | The page number requested |
sortBy | string | No | — | variable name requested to sort by |
nextPage | string | No | — | next page token |
previousPage | string | No | — | Previous page token |
expand | string | No | — | If ‘expand=publishHistory’, then each unpublished evaluation form includes a listing of its published versions |
name | string | No | — | The name value |
sortOrder | string | No | — | Order to sort results, either asc or desc |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pageSize": {
"type": "integer",
"description": "The total page size requested"
},
"pageNumber": {
"type": "integer",
"description": "The page number requested"
},
"sortBy": {
"type": "string",
"description": "variable name requested to sort by"
},
"nextPage": {
"type": "string",
"description": "next page token"
},
"previousPage": {
"type": "string",
"description": "Previous page token"
},
"expand": {
"type": "string",
"description": "If 'expand=publishHistory', then each unpublished evaluation form includes a listing of its published versions",
"enum": [
"publishHistory"
]
},
"name": {
"type": "string",
"description": "The name value"
},
"sortOrder": {
"type": "string",
"description": "Order to sort results, either asc or desc"
}
},
"required": [
"PCID"
]
}
genesys_tasks_quality_get_program_agentscoringrule
Get an Agent Scoring Rule Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
programId | string | Yes | — | Program ID from Speech and Text Analytics |
ruleId | string | Yes | — | Agent Scoring Rule ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"programId": {
"type": "string",
"description": "Program ID from Speech and Text Analytics"
},
"ruleId": {
"type": "string",
"description": "Agent Scoring Rule ID"
}
},
"required": [
"PCID",
"programId",
"ruleId"
]
}
genesys_tasks_quality_get_program_agentscoringrules
Get Agent Scoring Rules for a program Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
programId | string | Yes | — | Program ID from Speech and Text Analytics |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"programId": {
"type": "string",
"description": "Program ID from Speech and Text Analytics"
}
},
"required": [
"PCID",
"programId"
]
}
genesys_tasks_quality_get_quality_conversation_evaluation
Get an evaluation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conversationId | string | Yes | — | conversationId |
evaluationId | string | Yes | — | evaluationId |
expand | string | No | — | agent, assignee, evaluator, evaluationForm |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conversationId": {
"type": "string",
"description": "conversationId"
},
"evaluationId": {
"type": "string",
"description": "evaluationId"
},
"expand": {
"type": "string",
"description": "agent, assignee, evaluator, evaluationForm"
}
},
"required": [
"PCID",
"conversationId",
"evaluationId"
]
}
genesys_tasks_quality_get_quality_evaluations_query
Queries Evaluations and returns a paged list Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pageSize | integer | No | — | The total page size requested |
pageNumber | integer | No | — | The page number requested |
expand | any[] | No | — | variable name requested by expand list |
previousPage | string | No | — | Previous page token |
conversationId | string | No | — | conversationId specified |
agentUserId | string | No | — | user id of the agent |
agentTeamId | string | No | — | team id of the agent |
evaluatorUserId | string | No | — | evaluator user id |
assigneeUserId | string | No | — | assignee user id |
queueId | string | No | — | queue id |
startTime | string | No | — | start time of the evaluation query |
endTime | string | No | — | end time of the evaluation query |
formContextId | string | No | — | shared id between form versions |
evaluationState | any[] | No | — | evaluationState |
isReleased | boolean | No | — | the evaluation has been released |
agentHasRead | boolean | No | — | agent has the evaluation |
expandAnswerTotalScores | boolean | No | — | get the total scores for evaluations. NOTE: The answers will only be populated if this parameter is set to true in the request. |
maximum | integer | No | — | the maximum number of results to return |
sortOrder | string | No | — | NOTE: Does not work when conversationId is supplied. |
includeDeletedUsers | boolean | No | — | Allow returning an agent or evaluator user with a ‘delete’ status. Defaults to false. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pageSize": {
"type": "integer",
"description": "The total page size requested"
},
"pageNumber": {
"type": "integer",
"description": "The page number requested"
},
"expand": {
"type": "array",
"description": "variable name requested by expand list"
},
"previousPage": {
"type": "string",
"description": "Previous page token"
},
"conversationId": {
"type": "string",
"description": "conversationId specified"
},
"agentUserId": {
"type": "string",
"description": "user id of the agent"
},
"agentTeamId": {
"type": "string",
"description": "team id of the agent"
},
"evaluatorUserId": {
"type": "string",
"description": "evaluator user id"
},
"assigneeUserId": {
"type": "string",
"description": "assignee user id"
},
"queueId": {
"type": "string",
"description": "queue id"
},
"startTime": {
"type": "string",
"description": "start time of the evaluation query"
},
"endTime": {
"type": "string",
"description": "end time of the evaluation query"
},
"formContextId": {
"type": "string",
"description": "shared id between form versions"
},
"evaluationState": {
"type": "array",
"description": "evaluationState"
},
"isReleased": {
"type": "boolean",
"description": "the evaluation has been released"
},
"agentHasRead": {
"type": "boolean",
"description": "agent has the evaluation"
},
"expandAnswerTotalScores": {
"type": "boolean",
"description": "get the total scores for evaluations. NOTE: The answers will only be populated if this parameter is set to true in the request."
},
"maximum": {
"type": "integer",
"description": "the maximum number of results to return"
},
"sortOrder": {
"type": "string",
"description": "NOTE: Does not work when conversationId is supplied."
},
"includeDeletedUsers": {
"type": "boolean",
"description": "Allow returning an agent or evaluator user with a 'delete' status. Defaults to false."
}
},
"required": [
"PCID"
]
}
genesys_tasks_quality_get_survey
Get a survey for a conversation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
surveyId | string | Yes | — | Survey Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"surveyId": {
"type": "string",
"description": "Survey Id"
}
},
"required": [
"PCID",
"surveyId"
]
}
genesys_tasks_quality_get_surveys_scorable
Get a survey as an end-customer, for the purposes of scoring it. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customerSurveyUrl | string | Yes | — | Customer Survey Url |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customerSurveyUrl": {
"type": "string",
"description": "Customer Survey Url"
}
},
"required": [
"PCID",
"customerSurveyUrl"
]
}
genesys_tasks_quality_get_taskmanagement_workbin
Get a workbin Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workbinId | string | Yes | — | Workbin ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workbinId": {
"type": "string",
"description": "Workbin ID"
}
},
"required": [
"PCID",
"workbinId"
]
}
genesys_tasks_quality_get_taskmanagement_workitem
Get a workitem Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
expands | any[] | No | — | Which fields to expand. Comma separated if more than one. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
},
"expands": {
"type": "array",
"description": "Which fields to expand. Comma separated if more than one."
}
},
"required": [
"PCID",
"workitemId"
]
}
genesys_tasks_quality_get_taskmanagement_worktype
Get a worktype Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
expands | any[] | No | — | Which fields, if any, to expand. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
},
"expands": {
"type": "array",
"description": "Which fields, if any, to expand."
}
},
"required": [
"PCID",
"worktypeId"
]
}
genesys_tasks_quality_get_taskmanagement_worktype_statuses
Get list of statuses for this worktype. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
}
},
"required": [
"PCID",
"worktypeId"
]
}
genesys_tasks_quality_get_workbin
Get a workbin Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workbinId | string | Yes | — | Workbin ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workbinId": {
"type": "string",
"description": "Workbin ID"
}
},
"required": [
"PCID",
"workbinId"
]
}
genesys_tasks_quality_get_workbin_history
Get a listing of a workbin’s attribute change history Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workbinId | string | Yes | — | Workbin ID |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | integer | No | — | Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an after key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200. |
sortOrder | string | No | — | Ascending or descending sort order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workbinId": {
"type": "string",
"description": "Workbin ID"
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "integer",
"description": "Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an `after` key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200."
},
"sortOrder": {
"type": "string",
"description": "Ascending or descending sort order",
"enum": [
"ascending",
"descending"
]
}
},
"required": [
"PCID",
"workbinId"
]
}
genesys_tasks_quality_get_workbin_version
Get a version of a workbin Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workbinId | string | Yes | — | Workbin ID |
entityVersion | integer | Yes | — | Workbin version |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workbinId": {
"type": "string",
"description": "Workbin ID"
},
"entityVersion": {
"type": "integer",
"description": "Workbin version"
}
},
"required": [
"PCID",
"workbinId",
"entityVersion"
]
}
genesys_tasks_quality_get_workbin_versions
Get all versions of a workbin Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workbinId | string | Yes | — | Workbin ID |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | integer | No | — | Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an after key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200. |
sortOrder | string | No | — | Ascending or descending sort order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workbinId": {
"type": "string",
"description": "Workbin ID"
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "integer",
"description": "Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an `after` key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200."
},
"sortOrder": {
"type": "string",
"description": "Ascending or descending sort order",
"enum": [
"ascending",
"descending"
]
}
},
"required": [
"PCID",
"workbinId"
]
}
genesys_tasks_quality_get_workitem
Get a workitem Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
expands | string[] | No | — | Which fields to expand. Comma separated if more than one. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
},
"expands": {
"type": "array",
"items": {
"type": "string",
"enum": [
"type",
"workbin",
"status",
"queue",
"assignee"
]
},
"description": "Which fields to expand. Comma separated if more than one."
}
},
"required": [
"PCID",
"workitemId"
]
}
genesys_tasks_quality_get_workitem_history
Get a listing of a workitem’s attribute change history Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | integer | No | — | Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an after key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200. |
sortOrder | string | No | — | Ascending or descending sort order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "integer",
"description": "Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an `after` key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200."
},
"sortOrder": {
"type": "string",
"description": "Ascending or descending sort order",
"enum": [
"ascending",
"descending"
]
}
},
"required": [
"PCID",
"workitemId"
]
}
genesys_tasks_quality_get_workitem_user_wrapups
Get all wrapup codes added for the given user for a workitem. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | The ID of the Workitem. |
userId | string | Yes | — | The ID of the user |
expands | string | No | — | Which fields, if any, to expand. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | integer | No | — | Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an after key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 50. |
sortOrder | string | No | — | Ascending or descending sort order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "The ID of the Workitem."
},
"userId": {
"type": "string",
"description": "The ID of the user"
},
"expands": {
"type": "string",
"description": "Which fields, if any, to expand.",
"enum": [
"wrapupCode"
]
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "integer",
"description": "Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an `after` key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 50."
},
"sortOrder": {
"type": "string",
"description": "Ascending or descending sort order",
"enum": [
"ascending",
"descending"
]
}
},
"required": [
"PCID",
"workitemId",
"userId"
]
}
genesys_tasks_quality_get_workitem_version
Get a version of a workitem Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
entityVersion | integer | Yes | — | Workitem version |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
},
"entityVersion": {
"type": "integer",
"description": "Workitem version"
}
},
"required": [
"PCID",
"workitemId",
"entityVersion"
]
}
genesys_tasks_quality_get_workitem_versions
Get all versions of a workitem Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | integer | No | — | Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an after key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200. |
sortOrder | string | No | — | Ascending or descending sort order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "integer",
"description": "Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an `after` key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200."
},
"sortOrder": {
"type": "string",
"description": "Ascending or descending sort order",
"enum": [
"ascending",
"descending"
]
}
},
"required": [
"PCID",
"workitemId"
]
}
genesys_tasks_quality_get_workitem_wrapups
Get all wrapup codes added for all users for a workitem. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | The ID of the Workitem. |
expands | string | No | — | Which fields, if any, to expand. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | integer | No | — | Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an after key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 50. |
sortOrder | string | No | — | Ascending or descending sort order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "The ID of the Workitem."
},
"expands": {
"type": "string",
"description": "Which fields, if any, to expand.",
"enum": [
"wrapupCode"
]
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "integer",
"description": "Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an `after` key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 50."
},
"sortOrder": {
"type": "string",
"description": "Ascending or descending sort order",
"enum": [
"ascending",
"descending"
]
}
},
"required": [
"PCID",
"workitemId"
]
}
genesys_tasks_quality_get_worktype
Get a worktype Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
expands | string[] | No | — | Which fields, if any, to expand. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
},
"expands": {
"type": "array",
"items": {
"type": "string",
"enum": [
"defaultQueue",
"defaultSkills",
"defaultLanguage",
"schema",
"flow",
"defaultScript"
]
},
"description": "Which fields, if any, to expand."
}
},
"required": [
"PCID",
"worktypeId"
]
}
genesys_tasks_quality_get_worktype_history
Get a listing of a worktype’s attribute change history Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | integer | No | — | Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an after key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200. |
sortOrder | string | No | — | Ascending or descending sort order |
fields | string[] | No | — | Comma-separated list of fields. The response will contain only versions created as a result of changes to these fields. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "integer",
"description": "Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an `after` key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200."
},
"sortOrder": {
"type": "string",
"description": "Ascending or descending sort order",
"enum": [
"ascending",
"descending"
]
},
"fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"name",
"serviceLevelTarget",
"defaultWorkbinId",
"defaultDueDurationSeconds",
"defaultExpirationSeconds",
"defaultPriority",
"defaultLanguageId",
"defaultSkillIds",
"defaultQueueId",
"assignmentEnabled",
"defaultStatusId",
"statuses"
]
},
"description": "Comma-separated list of fields. The response will contain only versions created as a result of changes to these fields."
}
},
"required": [
"PCID",
"worktypeId"
]
}
genesys_tasks_quality_get_worktype_status
Get a status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
statusId | string | Yes | — | Status id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
},
"statusId": {
"type": "string",
"description": "Status id"
}
},
"required": [
"PCID",
"worktypeId",
"statusId"
]
}
genesys_tasks_quality_get_worktype_statuses
Get list of statuses for this worktype. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
}
},
"required": [
"PCID",
"worktypeId"
]
}
genesys_tasks_quality_get_worktype_version
Get a version of a worktype Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
entityVersion | integer | Yes | — | Worktype version |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
},
"entityVersion": {
"type": "integer",
"description": "Worktype version"
}
},
"required": [
"PCID",
"worktypeId",
"entityVersion"
]
}
genesys_tasks_quality_get_worktype_versions
Get all versions of a worktype Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | integer | No | — | Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an after key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200. |
sortOrder | string | No | — | Ascending or descending sort order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
},
"after": {
"type": "string",
"description": "The cursor that points to the end of the set of entities that has been returned."
},
"pageSize": {
"type": "integer",
"description": "Limit the number of entities to return. It is not guaranteed that the requested number of entities will be filled in a single request. If an `after` key is returned as part of the response it is possible that more entities that match the filter criteria exist. Maximum of 200."
},
"sortOrder": {
"type": "string",
"description": "Ascending or descending sort order",
"enum": [
"ascending",
"descending"
]
}
},
"required": [
"PCID",
"worktypeId"
]
}
genesys_tasks_quality_patch_forms_survey
Disable a particular version of a survey form and invalidates any invitations that have already been sent to customers using this version of the form. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
formId | string | Yes | — | Form ID |
contextId | string | Yes | — | Unique Id for all versions of this form |
disabled | boolean | No | — | Is this form disabled |
footer | string | No | — | Markdown text for the bottom of the form. |
header | string | No | — | Markdown text for the top of the form. |
id | string | No | — | The globally unique identifier for the object. |
language | string | Yes | — | Language for survey viewer localization. Currently localized languages: da, de, en-US, es, fi, fr, it, ja, ko, nl, no, pl, pt-BR, sv, th, tr, zh-CH, zh-TW |
modifiedDate | string | No | — | Last modified date. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
name | string | Yes | — | The survey form name |
published | boolean | No | — | Is this form published |
publishedVersions | object | No | — | Published Versions |
questionGroups | object[] | No | — | A list of question groups |
selfUri | string | No | — | The URI for this object |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"formId": {
"type": "string",
"description": "Form ID"
},
"contextId": {
"type": "string",
"description": "Unique Id for all versions of this form"
},
"disabled": {
"type": "boolean",
"description": "Is this form disabled"
},
"footer": {
"type": "string",
"description": "Markdown text for the bottom of the form."
},
"header": {
"type": "string",
"description": "Markdown text for the top of the form."
},
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"language": {
"type": "string",
"description": "Language for survey viewer localization. Currently localized languages: da, de, en-US, es, fi, fr, it, ja, ko, nl, no, pl, pt-BR, sv, th, tr, zh-CH, zh-TW"
},
"modifiedDate": {
"type": "string",
"description": "Last modified date. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"name": {
"type": "string",
"description": "The survey form name"
},
"published": {
"type": "boolean",
"description": "Is this form published"
},
"publishedVersions": {
"type": "object",
"description": "Published Versions",
"properties": {
"entities": {
"type": "array",
"items": {
"type": "object"
},
"description": "The entities value"
},
"pageSize": {
"type": "integer",
"description": "Number of results per page"
},
"pageNumber": {
"type": "integer",
"description": "Page number for pagination"
},
"total": {
"type": "integer",
"description": "The total value"
},
"firstUri": {
"type": "string",
"description": "First Uri"
},
"nextUri": {
"type": "string",
"description": "Next Uri"
},
"previousUri": {
"type": "string",
"description": "Previous Uri"
},
"lastUri": {
"type": "string",
"description": "Last Uri"
},
"selfUri": {
"type": "string",
"description": "Self Uri"
},
"pageCount": {
"type": "integer",
"description": "Page Count"
}
}
},
"questionGroups": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "The id value"
},
"contextId": {
"type": "string",
"description": "An identifier for this question group that stays the same across versions of the form."
},
"name": {
"type": "string",
"description": "The name value"
},
"type": {
"type": "string",
"description": "The type value"
},
"naEnabled": {
"type": "boolean",
"description": "Na Enabled"
},
"questions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"contextId": {
"type": "string",
"description": "An identifier for this question that stays the same across versions of the form."
},
"text": {
"type": "string"
},
"helpText": {
"type": "string"
},
"type": {
"type": "string"
},
"naEnabled": {
"type": "boolean"
},
"visibilityCondition": {
"type": "object"
},
"answerOptions": {
"type": "array",
"description": "Options from which to choose an answer for this question. Only used by Multiple Choice type questions."
},
"maxResponseCharacters": {
"type": "integer",
"description": "How many characters are allowed in the text response to this question. Used by NPS and Free Text question types."
},
"explanationPrompt": {
"type": "string",
"description": "Prompt for details explaining the chosen NPS score. Used by NPS questions."
}
}
},
"description": "The questions value"
},
"visibilityCondition": {
"type": "object",
"description": "Visibility Condition"
}
}
},
"description": "A list of question groups"
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
},
"required": [
"PCID",
"formId",
"contextId",
"language",
"name"
]
}
genesys_tasks_quality_patch_taskmanagement_workitem
Update the attributes of a workitem Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
assigneeId | string | No | — | The ID of the assignee of the Workitem. If supplied it must be a valid UUID. |
assignmentOperation | string | No | — | Set this value to AgentAssignmentAlerting and supply an ‘assigneeId’ to assign the workitem to an agent and alert the agent of the assignment. Set this value to QueueAssignmentAlerting and supply a ‘queueId’ to route the workitem to an agent who is a member of the queue and alert the agent. |
assignmentState | string | No | — | The assignment state of the Workitem. |
autoStatusTransition | boolean | No | — | Set it to false to disable auto status transition. By default, it is enabled. |
customFields | object | No | — | Custom fields defined in the schema referenced by the worktype of the workitem. If set to {}, the existing keys and values will be removed. |
dateClosed | string | No | — | The closed date of the Workitem. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
dateDue | string | No | — | The due date of the Workitem. Can not be greater than 365 days from the current time. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
dateExpires | string | No | — | The expiry date of the Workitem. Can not be greater than 365 days from the current time. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
description | string | No | — | The description of the Workitem. Maximum length of 512 characters. |
durationSeconds | integer | No | — | The estimated duration in seconds to complete the Workitem. Maximum of 365 days. |
externalContactId | string | No | — | The ID of the external contact of the Workitem. Must be a valid UUID. |
externalTag | string | No | — | The external tag of the Workitem. |
languageId | string | No | — | The ID of language of the Workitem. Must be a valid UUID. |
name | string | No | — | The name of the Workitem. Valid length between 3 and 256 characters. |
preferredAgentIds | any[] | No | — | The preferred agent IDs of the Workitem. Must be valid UUIDs. |
priority | integer | No | — | The priority of the Workitem. The valid range is between -25,000,000 and 25,000,000. |
queueId | string | No | — | The ID of the Workitems queue. Must be a valid UUID. |
scoredAgents | any[] | No | — | A list of scored agents for the Workitem. A workitem can have a maximum of 20 scored agents. |
scriptId | string | No | — | The ID of the Workitems script. Must be a valid UUID. |
skillIds | any[] | No | — | The skill IDs of the Workitem. Must be valid UUIDs. |
statusId | string | No | — | The ID of the Status of the Workitem. |
ttl | integer | No | — | The epoch timestamp in seconds specifying the time to live for the Workitem. Can not be greater than 365 days from the current time. |
utilizationLabelId | string | No | — | The ID of the utilization label of the Workitem. Must be a valid UUID. |
workbinId | string | No | — | The ID of Workbin that contains the Workitem. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
},
"assigneeId": {
"type": "string",
"description": "The ID of the assignee of the Workitem. If supplied it must be a valid UUID."
},
"assignmentOperation": {
"type": "string",
"description": "Set this value to AgentAssignmentAlerting and supply an 'assigneeId' to assign the workitem to an agent and alert the agent of the assignment. Set this value to QueueAssignmentAlerting and supply a 'queueId' to route the workitem to an agent who is a member of the queue and alert the agent.",
"enum": [
"AgentAssignmentAlerting",
"QueueAssignmentAlerting"
]
},
"assignmentState": {
"type": "string",
"description": "The assignment state of the Workitem.",
"enum": [
"Unknown",
"AcdStarted",
"Alerting",
"AlertTimeout",
"AcdCancelled",
"Terminated",
"Idle",
"Declined",
"Connected",
"Disconnected",
"Parked",
"Held",
"AcdExpired"
]
},
"autoStatusTransition": {
"type": "boolean",
"description": "Set it to false to disable auto status transition. By default, it is enabled."
},
"customFields": {
"type": "object",
"description": "Custom fields defined in the schema referenced by the worktype of the workitem. If set to {}, the existing keys and values will be removed."
},
"dateClosed": {
"type": "string",
"description": "The closed date of the Workitem. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"dateDue": {
"type": "string",
"description": "The due date of the Workitem. Can not be greater than 365 days from the current time. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"dateExpires": {
"type": "string",
"description": "The expiry date of the Workitem. Can not be greater than 365 days from the current time. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"description": {
"type": "string",
"description": "The description of the Workitem. Maximum length of 512 characters."
},
"durationSeconds": {
"type": "integer",
"description": "The estimated duration in seconds to complete the Workitem. Maximum of 365 days."
},
"externalContactId": {
"type": "string",
"description": "The ID of the external contact of the Workitem. Must be a valid UUID."
},
"externalTag": {
"type": "string",
"description": "The external tag of the Workitem."
},
"languageId": {
"type": "string",
"description": "The ID of language of the Workitem. Must be a valid UUID."
},
"name": {
"type": "string",
"description": "The name of the Workitem. Valid length between 3 and 256 characters."
},
"preferredAgentIds": {
"type": "array",
"description": "The preferred agent IDs of the Workitem. Must be valid UUIDs."
},
"priority": {
"type": "integer",
"description": "The priority of the Workitem. The valid range is between -25,000,000 and 25,000,000."
},
"queueId": {
"type": "string",
"description": "The ID of the Workitems queue. Must be a valid UUID."
},
"scoredAgents": {
"type": "array",
"description": "A list of scored agents for the Workitem. A workitem can have a maximum of 20 scored agents."
},
"scriptId": {
"type": "string",
"description": "The ID of the Workitems script. Must be a valid UUID."
},
"skillIds": {
"type": "array",
"description": "The skill IDs of the Workitem. Must be valid UUIDs."
},
"statusId": {
"type": "string",
"description": "The ID of the Status of the Workitem."
},
"ttl": {
"type": "integer",
"description": "The epoch timestamp in seconds specifying the time to live for the Workitem. Can not be greater than 365 days from the current time."
},
"utilizationLabelId": {
"type": "string",
"description": "The ID of the utilization label of the Workitem. Must be a valid UUID."
},
"workbinId": {
"type": "string",
"description": "The ID of Workbin that contains the Workitem."
}
},
"required": [
"PCID",
"workitemId"
]
}
genesys_tasks_quality_patch_taskmanagement_workitem_assignment
Attempts to manually assign a specified workitem to a specified user. Ignores bullseye ring, PAR score, skills, and languages. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
id | string | Yes | — | The globally unique identifier for this user. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
},
"id": {
"type": "string",
"description": "The globally unique identifier for this user."
}
},
"required": [
"PCID",
"workitemId",
"id"
]
}
genesys_tasks_quality_patch_workbin
Update the attributes of a workbin Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workbinId | string | Yes | — | Workbin ID |
description | string | No | — | Workbin description. Maximum length of 512 characters. |
name | string | No | — | Workbin name. Valid length between 3 and 256 characters. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workbinId": {
"type": "string",
"description": "Workbin ID"
},
"description": {
"type": "string",
"description": "Workbin description. Maximum length of 512 characters."
},
"name": {
"type": "string",
"description": "Workbin name. Valid length between 3 and 256 characters."
}
},
"required": [
"PCID",
"workbinId"
]
}
genesys_tasks_quality_patch_workitem
Update the attributes of a workitem Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
assigneeId | string | No | — | The ID of the assignee of the Workitem. If supplied it must be a valid UUID. |
assignmentOperation | string | No | — | Set this value to AgentAssignmentAlerting and supply an ‘assigneeId’ to assign the workitem to an agent and alert the agent of the assignment. Set this value to QueueAssignmentAlerting and supply a ‘queueId’ to route the workitem to an agent who is a member of the queue and alert the agent. |
assignmentState | string | No | — | The assignment state of the Workitem. |
autoStatusTransition | boolean | No | — | Set it to false to disable auto status transition. By default, it is enabled. |
customFields | object | No | — | Custom fields defined in the schema referenced by the worktype of the workitem. If set to {}, the existing keys and values will be removed. |
dateClosed | string | No | — | The closed date of the Workitem. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
dateDue | string | No | — | The due date of the Workitem. Can not be greater than 365 days from the current time. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
dateExpires | string | No | — | The expiry date of the Workitem. Can not be greater than 365 days from the current time. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
description | string | No | — | The description of the Workitem. Maximum length of 512 characters. |
durationSeconds | integer | No | — | The estimated duration in seconds to complete the Workitem. Maximum of 365 days. |
externalContactId | string | No | — | The ID of the external contact of the Workitem. Must be a valid UUID. |
externalTag | string | No | — | The external tag of the Workitem. |
languageId | string | No | — | The ID of language of the Workitem. Must be a valid UUID. |
name | string | No | — | The name of the Workitem. Valid length between 3 and 256 characters. |
preferredAgentIds | string[] | No | — | The preferred agent IDs of the Workitem. Must be valid UUIDs. |
priority | integer | No | — | The priority of the Workitem. The valid range is between -25,000,000 and 25,000,000. |
queueId | string | No | — | The ID of the Workitems queue. Must be a valid UUID. |
scoredAgents | object[] | No | — | A list of scored agents for the Workitem. A workitem can have a maximum of 20 scored agents. |
scriptId | string | No | — | The ID of the Workitems script. Must be a valid UUID. |
skillIds | string[] | No | — | The skill IDs of the Workitem. Must be valid UUIDs. |
statusId | string | No | — | The ID of the Status of the Workitem. |
ttl | integer | No | — | The epoch timestamp in seconds specifying the time to live for the Workitem. Can not be greater than 365 days from the current time. |
utilizationLabelId | string | No | — | The ID of the utilization label of the Workitem. Must be a valid UUID. |
workbinId | string | No | — | The ID of Workbin that contains the Workitem. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
},
"assigneeId": {
"type": "string",
"description": "The ID of the assignee of the Workitem. If supplied it must be a valid UUID."
},
"assignmentOperation": {
"type": "string",
"description": "Set this value to AgentAssignmentAlerting and supply an 'assigneeId' to assign the workitem to an agent and alert the agent of the assignment. Set this value to QueueAssignmentAlerting and supply a 'queueId' to route the workitem to an agent who is a member of the queue and alert the agent.",
"enum": [
"AgentAssignmentAlerting",
"QueueAssignmentAlerting"
]
},
"assignmentState": {
"type": "string",
"description": "The assignment state of the Workitem.",
"enum": [
"Unknown",
"AcdStarted",
"Alerting",
"AlertTimeout",
"AcdCancelled",
"Terminated",
"Idle",
"Declined",
"Connected",
"Disconnected",
"Parked",
"Held",
"AcdExpired"
]
},
"autoStatusTransition": {
"type": "boolean",
"description": "Set it to false to disable auto status transition. By default, it is enabled."
},
"customFields": {
"type": "object",
"description": "Custom fields defined in the schema referenced by the worktype of the workitem. If set to {}, the existing keys and values will be removed."
},
"dateClosed": {
"type": "string",
"description": "The closed date of the Workitem. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"dateDue": {
"type": "string",
"description": "The due date of the Workitem. Can not be greater than 365 days from the current time. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"dateExpires": {
"type": "string",
"description": "The expiry date of the Workitem. Can not be greater than 365 days from the current time. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"description": {
"type": "string",
"description": "The description of the Workitem. Maximum length of 512 characters."
},
"durationSeconds": {
"type": "integer",
"description": "The estimated duration in seconds to complete the Workitem. Maximum of 365 days."
},
"externalContactId": {
"type": "string",
"description": "The ID of the external contact of the Workitem. Must be a valid UUID."
},
"externalTag": {
"type": "string",
"description": "The external tag of the Workitem."
},
"languageId": {
"type": "string",
"description": "The ID of language of the Workitem. Must be a valid UUID."
},
"name": {
"type": "string",
"description": "The name of the Workitem. Valid length between 3 and 256 characters."
},
"preferredAgentIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "The preferred agent IDs of the Workitem. Must be valid UUIDs."
},
"priority": {
"type": "integer",
"description": "The priority of the Workitem. The valid range is between -25,000,000 and 25,000,000."
},
"queueId": {
"type": "string",
"description": "The ID of the Workitems queue. Must be a valid UUID."
},
"scoredAgents": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "An agents ID. Must be a valid UUID."
},
"score": {
"type": "integer",
"format": "int32",
"description": "Agent's score for the workitem, from 0 - 100, higher being better"
}
}
},
"description": "A list of scored agents for the Workitem. A workitem can have a maximum of 20 scored agents."
},
"scriptId": {
"type": "string",
"description": "The ID of the Workitems script. Must be a valid UUID."
},
"skillIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "The skill IDs of the Workitem. Must be valid UUIDs."
},
"statusId": {
"type": "string",
"description": "The ID of the Status of the Workitem."
},
"ttl": {
"type": "integer",
"description": "The epoch timestamp in seconds specifying the time to live for the Workitem. Can not be greater than 365 days from the current time."
},
"utilizationLabelId": {
"type": "string",
"description": "The ID of the utilization label of the Workitem. Must be a valid UUID."
},
"workbinId": {
"type": "string",
"description": "The ID of Workbin that contains the Workitem."
}
},
"required": [
"PCID",
"workitemId"
]
}
genesys_tasks_quality_patch_workitem_assignment
Attempts to manually assign a specified workitem to a specified user. Ignores bullseye ring, PAR score, skills, and languages. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | Workitem ID |
id | string | Yes | — | The globally unique identifier for this user. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "Workitem ID"
},
"id": {
"type": "string",
"description": "The globally unique identifier for this user."
}
},
"required": [
"PCID",
"workitemId",
"id"
]
}
genesys_tasks_quality_patch_workitem_user_wrapups
Add/Remove a wrapup code for a given user in a workitem. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | The ID of the Workitem. |
userId | string | Yes | — | The ID of the user |
action | string | Yes | — | Action to be performed for the wrapup code. |
wrapupCode | string | Yes | — | The wrapup code which will be added/removed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "The ID of the Workitem."
},
"userId": {
"type": "string",
"description": "The ID of the user"
},
"action": {
"type": "string",
"description": "Action to be performed for the wrapup code.",
"enum": [
"Add",
"Remove"
]
},
"wrapupCode": {
"type": "string",
"description": "The wrapup code which will be added/removed."
}
},
"required": [
"PCID",
"workitemId",
"userId",
"action",
"wrapupCode"
]
}
genesys_tasks_quality_patch_workitem_users_me_wrapups
Add/Remove a wrapup code for the current user in a workitem. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workitemId | string | Yes | — | The ID of the Workitem. |
action | string | Yes | — | Action to be performed for the wrapup code. |
wrapupCode | string | Yes | — | The wrapup code which will be added/removed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workitemId": {
"type": "string",
"description": "The ID of the Workitem."
},
"action": {
"type": "string",
"description": "Action to be performed for the wrapup code.",
"enum": [
"Add",
"Remove"
]
},
"wrapupCode": {
"type": "string",
"description": "The wrapup code which will be added/removed."
}
},
"required": [
"PCID",
"workitemId",
"action",
"wrapupCode"
]
}
genesys_tasks_quality_patch_worktype
Update the attributes of a worktype Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
assignmentEnabled | boolean | No | — | When set to true, Workitems will be sent to the queue of the Worktype as they are created. Default value is false. |
defaultDueDurationSeconds | integer | No | — | The default due duration in seconds for Workitems created from the Worktype. Maximum of 365 days. |
defaultDurationSeconds | integer | No | — | The default duration in seconds for Workitems created from the Worktype. Maximum of 365 days. |
defaultExpirationSeconds | integer | No | — | The default expiration time in seconds for Workitems created from the Worktype. Maximum of 365 days. |
defaultLanguageId | string | No | — | The ID of the default language for Workitems created from the Worktype. Must be a valid UUID. |
defaultPriority | integer | No | — | The default priority for Workitems created from the Worktype. The valid range is between -25,000,000 and 25,000,000. |
defaultQueueId | string | No | — | The ID of the default queue for Workitems created from the Worktype. Must be a valid UUID. |
defaultScriptId | string | No | — | The default script for Workitems created from the Worktype. Must be a valid UUID. |
defaultSkillIds | string[] | No | — | The IDs of the default skills for Workitems created from the Worktype. Must be valid UUIDs. Maximum of 20 IDs |
defaultStatusId | string | No | — | The ID of the default status for Workitems created from the Worktype. Must be a valid UUID. |
defaultTtlSeconds | integer | No | — | The default time to time to live in seconds for Workitems created from the Worktype. The valid range is between 1 and 365 days. |
defaultWorkbinId | string | No | — | The ID of the default Workbin for Workitems created from the Worktype. |
description | string | No | — | The description of the Worktype. Maximum length of 512 characters. |
name | string | No | — | The name of the Worktype. Valid length between 3 and 256 characters. |
ruleSettings | object | No | — | Rule Settings |
schemaId | string | No | — | The ID of the custom attribute schema for Workitems created from the Worktype. Must be a valid UUID. |
schemaVersion | integer | No | — | The version of the Worktypes custom attribute schema. The latest schema version will be used if this property is not set. |
serviceLevelTarget | integer | No | — | The target service level for Workitems created from the Worktype. The default value is 100. |
unassignedDivisionContactsEnabled | boolean | No | — | When set to true, will allow Workitems to be associated with External Contacts that are not assigned to any division. Default value is true. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
},
"assignmentEnabled": {
"type": "boolean",
"description": "When set to true, Workitems will be sent to the queue of the Worktype as they are created. Default value is false."
},
"defaultDueDurationSeconds": {
"type": "integer",
"description": "The default due duration in seconds for Workitems created from the Worktype. Maximum of 365 days."
},
"defaultDurationSeconds": {
"type": "integer",
"description": "The default duration in seconds for Workitems created from the Worktype. Maximum of 365 days."
},
"defaultExpirationSeconds": {
"type": "integer",
"description": "The default expiration time in seconds for Workitems created from the Worktype. Maximum of 365 days."
},
"defaultLanguageId": {
"type": "string",
"description": "The ID of the default language for Workitems created from the Worktype. Must be a valid UUID."
},
"defaultPriority": {
"type": "integer",
"description": "The default priority for Workitems created from the Worktype. The valid range is between -25,000,000 and 25,000,000."
},
"defaultQueueId": {
"type": "string",
"description": "The ID of the default queue for Workitems created from the Worktype. Must be a valid UUID."
},
"defaultScriptId": {
"type": "string",
"description": "The default script for Workitems created from the Worktype. Must be a valid UUID."
},
"defaultSkillIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "The IDs of the default skills for Workitems created from the Worktype. Must be valid UUIDs. Maximum of 20 IDs"
},
"defaultStatusId": {
"type": "string",
"description": "The ID of the default status for Workitems created from the Worktype. Must be a valid UUID."
},
"defaultTtlSeconds": {
"type": "integer",
"description": "The default time to time to live in seconds for Workitems created from the Worktype. The valid range is between 1 and 365 days."
},
"defaultWorkbinId": {
"type": "string",
"description": "The ID of the default Workbin for Workitems created from the Worktype."
},
"description": {
"type": "string",
"description": "The description of the Worktype. Maximum length of 512 characters."
},
"name": {
"type": "string",
"description": "The name of the Worktype. Valid length between 3 and 256 characters."
},
"ruleSettings": {
"type": "object",
"description": "Rule Settings",
"properties": {
"flowRulesEnabled": {
"type": "boolean",
"description": "When set to true, the worktypes flow rules will be processed. Default value is false."
}
}
},
"schemaId": {
"type": "string",
"description": "The ID of the custom attribute schema for Workitems created from the Worktype. Must be a valid UUID."
},
"schemaVersion": {
"type": "integer",
"description": "The version of the Worktypes custom attribute schema. The latest schema version will be used if this property is not set."
},
"serviceLevelTarget": {
"type": "integer",
"description": "The target service level for Workitems created from the Worktype. The default value is 100."
},
"unassignedDivisionContactsEnabled": {
"type": "boolean",
"description": "When set to true, will allow Workitems to be associated with External Contacts that are not assigned to any division. Default value is true."
}
},
"required": [
"PCID",
"worktypeId"
]
}
genesys_tasks_quality_patch_worktype_status
Update the attributes of a status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
worktypeId | string | Yes | — | Worktype id |
statusId | string | Yes | — | Status id |
autoTerminateWorkitem | boolean | No | — | Terminate workitem on selection of status. Applicable only for statuses in the Closed category. |
defaultDestinationStatusId | string | No | — | Default destination status to which this Status will transition to if auto status transition enabled. |
description | string | No | — | The description of the Status. Maximum length of 512 characters. |
destinationStatusIds | string[] | No | — | A list of destination Statuses where a Workitem with this Status can transition to. If the list is empty Workitems with this Status can transition to all other Statuses defined on the Worktype. A Status can have a maximum of 24 destinations. |
name | string | No | — | The name of the Status. Valid length between 3 and 256 characters. |
statusTransitionDelaySeconds | integer | No | — | Delay in seconds for auto status transition. Required if defaultDestinationStatusId is provided. |
statusTransitionTime | string | No | — | Time is represented as an ISO-8601 string without a timezone. For example: HH:mm:ss.SSS |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"worktypeId": {
"type": "string",
"description": "Worktype id"
},
"statusId": {
"type": "string",
"description": "Status id"
},
"autoTerminateWorkitem": {
"type": "boolean",
"description": "Terminate workitem on selection of status. Applicable only for statuses in the Closed category."
},
"defaultDestinationStatusId": {
"type": "string",
"description": "Default destination status to which this Status will transition to if auto status transition enabled."
},
"description": {
"type": "string",
"description": "The description of the Status. Maximum length of 512 characters."
},
"destinationStatusIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "A list of destination Statuses where a Workitem with this Status can transition to. If the list is empty Workitems with this Status can transition to all other Statuses defined on the Worktype. A Status can have a maximum of 24 destinations."
},
"name": {
"type": "string",
"description": "The name of the Status. Valid length between 3 and 256 characters."
},
"statusTransitionDelaySeconds": {
"type": "integer",
"description": "Delay in seconds for auto status transition. Required if defaultDestinationStatusId is provided."
},
"statusTransitionTime": {
"type": "string",
"description": "Time is represented as an ISO-8601 string without a timezone. For example: HH:mm:ss.SSS"
}
},
"required": [
"PCID",
"worktypeId",
"statusId"
]
}
genesys_tasks_quality_post_conversation_evaluations
Create an evaluation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conversationId | string | Yes | — | Conversation Id |
Idempotency-Key | string | No | — | Idempotency key for request deduplication |
expand | string | No | — | evaluatorId |
agent | object | No | — | The agent value |
agentHasRead | boolean | No | — | Agent Has Read |
answers | object | No | — | The answers value |
assignee | object | No | — | The assignee value |
calibration | object | No | — | The calibration value |
conversation | object | No | — | The conversation value |
dateAssigneeChanged | string | No | — | Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
evaluationContextId | string | No | — | Evaluation Context Id |
evaluationForm | object | No | — | Evaluation Form |
evaluationSource | object | No | — | Evaluation Source |
evaluator | object | No | — | The evaluator value |
id | string | No | — | The globally unique identifier for the object. |
neverRelease | boolean | No | — | Never Release |
queue | object | No | — | The queue value |
releaseDate | string | No | — | Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
rescore | boolean | No | — | The rescore value |
resourceType | string | No | — | Resource Type |
selfUri | string | No | — | The URI for this object |
status | string | No | — | The status value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conversationId": {
"type": "string",
"description": "Conversation Id"
},
"Idempotency-Key": {
"type": "string",
"description": "Idempotency key for request deduplication"
},
"expand": {
"type": "string",
"description": "evaluatorId"
},
"agent": {
"type": "object",
"description": "The agent value",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
},
"required": [
"id"
]
},
"agentHasRead": {
"type": "boolean",
"description": "Agent Has Read"
},
"answers": {
"type": "object",
"description": "The answers value",
"properties": {
"totalScore": {
"type": "number",
"description": "Score of all questions"
},
"totalCriticalScore": {
"type": "number",
"description": "Score of only the critical questions"
},
"maxTotalRawCriticalScore": {
"type": "number",
"description": "Maximum total raw score for the critical questions. Raw score is the actual point values before applying weights or percentages."
},
"maxTotalRawScore": {
"type": "number",
"description": "Maximum total raw score for all questions. Raw score is the actual point values before applying weights or percentages."
},
"totalNonCriticalScore": {
"type": "number",
"description": "Score of only the non-critical questions"
},
"questionGroupScores": {
"type": "array",
"items": {
"type": "object"
},
"description": "Question Group Scores"
},
"anyFailedKillQuestions": {
"type": "boolean",
"description": "Indicates that at least one fatal question was answered without having the highest score available for the question"
},
"comments": {
"type": "string",
"description": "Overall comments from the evaluator"
},
"privateComments": {
"type": "string",
"description": "Overall private comments from the evaluator"
},
"agentComments": {
"type": "string",
"description": "Comments from the agent while reviewing evaluation results"
},
"transcriptTopics": {
"type": "array",
"items": {
"type": "object"
},
"description": "List of topics found within the conversation's transcripts"
}
}
},
"assignee": {
"type": "object",
"description": "The assignee value",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
},
"required": [
"id"
]
},
"calibration": {
"type": "object",
"description": "The calibration value",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
}
},
"conversation": {
"type": "object",
"description": "The conversation value",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
}
},
"dateAssigneeChanged": {
"type": "string",
"description": "Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"evaluationContextId": {
"type": "string",
"description": "Evaluation Context Id"
},
"evaluationForm": {
"type": "object",
"description": "Evaluation Form",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
}
},
"evaluationSource": {
"type": "object",
"description": "Evaluation Source",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"name": {
"type": "string",
"description": "The name value"
},
"type": {
"type": "string",
"description": "Type of the evaluation source.",
"enum": [
"Policy",
"User",
"Unknown",
"Program"
]
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
}
},
"evaluator": {
"type": "object",
"description": "The evaluator value",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
},
"required": [
"id"
]
},
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"neverRelease": {
"type": "boolean",
"description": "Never Release"
},
"queue": {
"type": "object",
"description": "The queue value",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
}
},
"releaseDate": {
"type": "string",
"description": "Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"rescore": {
"type": "boolean",
"description": "The rescore value"
},
"resourceType": {
"type": "string",
"description": "Resource Type",
"enum": [
"EMAIL"
]
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
},
"status": {
"type": "string",
"description": "The status value",
"enum": [
"PENDING",
"INPROGRESS",
"FINISHED",
"INREVIEW",
"RETRACTED"
]
}
},
"required": [
"PCID",
"conversationId"
]
}
genesys_tasks_quality_post_conversations_audits_query
Create audit query execution Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
filters | object[] | Yes | — | List of filters for the query. |
interval | string | Yes | — | Date and time range of data to query. Intervals are represented as an ISO-8601 string. For example: YYYY-MM-DDThh:mm:ss/YYYY-MM-DDThh:mm:ss |
sort | object[] | No | — | Sort parameter for the query. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"filters": {
"type": "array",
"items": {
"type": "object",
"properties": {
"property": {
"type": "string",
"enum": [
"UserId",
"TrusteeOrganizationId",
"TrusteeOnlyAudits",
"ClientId",
"Action",
"EntityType",
"EntityId",
"ConversationId",
"ServiceName"
],
"description": "Name of the property to filter."
},
"value": {
"type": "string",
"description": "Value of the property to filter."
}
},
"required": [
"property",
"value"
]
},
"description": "List of filters for the query."
},
"interval": {
"type": "string",
"description": "Date and time range of data to query. Intervals are represented as an ISO-8601 string. For example: YYYY-MM-DDThh:mm:ss/YYYY-MM-DDThh:mm:ss"
},
"sort": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"enum": [
"Timestamp"
],
"description": "Name of the property to sort."
},
"sortOrder": {
"type": "string",
"enum": [
"ascending",
"descending"
],
"description": "Sort Order"
}
},
"required": [
"name",
"sortOrder"
]
},
"description": "Sort parameter for the query."
}
},
"required": [
"PCID",
"filters",
"interval"
]
}
genesys_tasks_quality_post_evaluations_aggregates_query_me
Query for evaluation aggregates for the current user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
alternateTimeDimension | string | No | — | Dimension to use as the alternative timestamp for data in the aggregate. Choosing “eventTime” uses the actual time of the data event. |
contextId | string | No | — | Evaluation context Id |
groupBy | string[] | No | — | Behaves like a SQL GROUPBY. Allows for multiple levels of grouping as a list of dimensions. Partitions resulting aggregate computations into distinct named subgroups rather than across the entire result set as if it were one group. |
interval | string | Yes | — | Behaves like one clause in a SQL WHERE. Specifies the date and time range of data being queried. Intervals are represented as an ISO-8601 string. For example: YYYY-MM-DDThh:mm:ss/YYYY-MM-DDThh:mm:ss |
metrics | string[] | Yes | — | Behaves like a SQL SELECT clause. Only named metrics will be retrieved. |
timeZone | string | No | — | Time zone context used to calculate response intervals (this allows resolving DST changes). The interval offset is used even when timeZone is specified. Default is UTC. Time zones are represented as a string of the zone name as found in the IANA time zone database. For example: UTC, Etc/UTC, or Europe/London |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"alternateTimeDimension": {
"type": "string",
"description": "Dimension to use as the alternative timestamp for data in the aggregate. Choosing \"eventTime\" uses the actual time of the data event.",
"enum": [
"conversationStart",
"evaluationCreatedDate",
"evaluationReleaseDate",
"eventTime"
]
},
"contextId": {
"type": "string",
"description": "Evaluation context Id"
},
"groupBy": {
"type": "array",
"items": {
"type": "string",
"enum": [
"assigneeApplicable",
"assigneeId",
"calibrationId",
"contextId",
"conversationId",
"divisionId",
"evaluationContextId",
"evaluationId",
"evaluatorId",
"formId",
"mediaType",
"queueId",
"released",
"rescored",
"systemSubmitted",
"teamId",
"userId"
]
},
"description": "Behaves like a SQL GROUPBY. Allows for multiple levels of grouping as a list of dimensions. Partitions resulting aggregate computations into distinct named subgroups rather than across the entire result set as if it were one group."
},
"interval": {
"type": "string",
"description": "Behaves like one clause in a SQL WHERE. Specifies the date and time range of data being queried. Intervals are represented as an ISO-8601 string. For example: YYYY-MM-DDThh:mm:ss/YYYY-MM-DDThh:mm:ss"
},
"metrics": {
"type": "array",
"items": {
"type": "string",
"enum": [
"nEvaluations",
"nEvaluationsDeleted",
"nEvaluationsRescored",
"oTotalCriticalScore",
"oTotalScore"
]
},
"description": "Behaves like a SQL SELECT clause. Only named metrics will be retrieved."
},
"timeZone": {
"type": "string",
"description": "Time zone context used to calculate response intervals (this allows resolving DST changes). The interval offset is used even when timeZone is specified. Default is UTC. Time zones are represented as a string of the zone name as found in the IANA time zone database. For example: UTC, Etc/UTC, or Europe/London"
}
},
"required": [
"PCID",
"interval",
"metrics"
]
}
genesys_tasks_quality_post_evaluations_scoring
Score evaluation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
answers | object | No | — | The answers value |
evaluationForm | object | No | — | Evaluation Form |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"answers": {
"type": "object",
"description": "The answers value",
"properties": {
"totalScore": {
"type": "number",
"description": "Score of all questions"
},
"totalCriticalScore": {
"type": "number",
"description": "Score of only the critical questions"
},
"maxTotalRawCriticalScore": {
"type": "number",
"description": "Maximum total raw score for the critical questions. Raw score is the actual point values before applying weights or percentages."
},
"maxTotalRawScore": {
"type": "number",
"description": "Maximum total raw score for all questions. Raw score is the actual point values before applying weights or percentages."
},
"totalNonCriticalScore": {
"type": "number",
"description": "Score of only the non-critical questions"
},
"questionGroupScores": {
"type": "array",
"items": {
"type": "object"
},
"description": "Question Group Scores"
},
"anyFailedKillQuestions": {
"type": "boolean",
"description": "Indicates that at least one fatal question was answered without having the highest score available for the question"
},
"comments": {
"type": "string",
"description": "Overall comments from the evaluator"
},
"privateComments": {
"type": "string",
"description": "Overall private comments from the evaluator"
},
"agentComments": {
"type": "string",
"description": "Comments from the agent while reviewing evaluation results"
},
"transcriptTopics": {
"type": "array",
"items": {
"type": "object"
},
"description": "List of topics found within the conversation's transcripts"
}
}
},
"evaluationForm": {
"type": "object",
"description": "Evaluation Form",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"name": {
"type": "string",
"description": "The evaluation form name"
},
"modifiedDate": {
"type": "string",
"description": "Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"published": {
"type": "boolean",
"description": "The published value"
},
"contextId": {
"type": "string",
"description": "Context Id"
},
"questionGroups": {
"type": "array",
"items": {
"type": "object"
},
"description": "A list of question groups"
},
"publishedVersions": {
"type": "object",
"description": "Published Versions"
},
"evaluationSettings": {
"type": "object",
"description": "Evaluation Settings"
},
"latestVersionFormName": {
"type": "string",
"description": "The name of the form's most recently published version"
},
"aiScoring": {
"type": "object",
"description": "Ai Scoring"
},
"dialect": {
"type": "string",
"description": "The language dialect for this evaluation form. Supported dialects: ar, cs, da, de, en-US, es, fi, fr, fr-CA, he, hi, it, ja, ko, nl, no, pl, pt-BR, pt-PT, ru, sv, th, tr, uk, zh-CN, zh-TW"
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
}
},
"required": [
"name",
"questionGroups"
]
}
},
"required": [
"PCID"
]
}
genesys_tasks_quality_post_evaluations_search
Search evaluations based along specified criteria Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
aggregations | object[] | No | — | Aggregations to compute on the search results |
pageNumber | integer | Yes | — | The page of resources you want to retrieve |
pageSize | integer | No | — | The number of results per page. For aggregation requests, must be omitted or 0. |
query | object[] | Yes | — | Search query string |
sortBy | string | No | — | The field in the resource that you want to sort the results by. Include with sortOrder. |
sortOrder | string | No | — | The sort order for results. Include with sortBy. |
systemSubmitted | boolean | No | — | Filter for automated evaluations submitted by virtual supervisor. Defaults to false. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"aggregations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of the aggregation"
},
"field": {
"type": "string",
"enum": [
"formId",
"formIdReleased",
"contextId",
"questionGroupId",
"questionId",
"questionAnswerId",
"evaluationStatus",
"aiScoringFailureType",
"questionAiAnswerFailureType",
"released",
"questionGroupMarkedNA",
"questionMarkedNA",
"questionAiScored",
"questionEaScored",
"totalScore",
"totalCriticalScore",
"questionGroupScorePercentage",
"criticalQuestionGroupScorePercentage",
"questionGroupScore",
"criticalQuestionGroupScore",
"questionScore",
"disputeCount",
"rescoreCount",
"eaSuggestionCount",
"eaAcceptedSuggestionCount",
"aiSuggestionCount",
"aiAcceptedSuggestionCount",
"conversationDate",
[...]
